thaw 0.4.8

An easy to use leptos component library
Documentation
.thaw-color-picker-trigger {
    display: inline-block;
    padding: var(--spacingVerticalXS) var(--spacingHorizontalXS);
    width: 100%;
    height: 32px;
    border: var(--strokeWidthThin) solid var(--colorNeutralStroke1);
    border-radius: var(--borderRadiusMedium);
    box-sizing: border-box;
    cursor: pointer;
}

.thaw-color-picker-trigger--small {
    height: 24px;
    font-size: var(--fontSizeBase200);
    line-height: var(--lineHeightBase200);
}

.thaw-color-picker-trigger--large {
    height: 40px;
    font-size: var(--fontSizeBase400);
    line-height: var(--lineHeightBase400);
}

.thaw-color-picker-trigger__content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

div.thaw-color-picker-popover {
    width: 240px;
    padding: var(--spacingVerticalM) var(--spacingHorizontalM);
    background-color: var(--colorNeutralBackground1);
    border-radius: var(--borderRadiusMedium);
    box-sizing: border-box;
    box-shadow: var(--shadow16);
}

.thaw-color-picker-popover__panel {
    position: relative;
    height: 180px;
    margin-bottom: 8px;
    cursor: crosshair;
}

.thaw-color-picker-popover__layer {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.thaw-color-picker-popover__layer--shadowed {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgb(0, 0, 0));
}

.thaw-color-picker-popover__handle {
    position: absolute;
    left: -6px;
    bottom: -6px;
    width: 12px;
    height: 12px;
    border-radius: 6px;
    box-sizing: border-box;
    border: 2px solid white;
    box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.45);
}

.thaw-color-picker-slider {
    height: 12px;
    padding: 0 6px;
    background-image: linear-gradient(
        90deg,
        red,
        rgb(255, 255, 0) 16.66%,
        rgb(0, 255, 0) 33.33%,
        rgb(0, 255, 255) 50%,
        rgb(0, 0, 255) 66.66%,
        rgb(255, 0, 255) 83.33%,
        red
    );
    border-radius: 6px;
}

.thaw-color-picker-slider__handle {
    position: relative;
    left: 0;
    width: 12px;
    height: 12px;
    border-radius: 6px;
    box-sizing: border-box;
    border: 2px solid white;
    cursor: pointer;
}